%define		pkgname	hammer
Summary:	A javascript library for multi-touch gestures
Name:		js-%{pkgname}
Version:	2.0.4
Release:	1
License:	MIT
Group:		Applications/WWW
Source0:	https://github.com/hammerjs/hammer.js/archive/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	54b592fde78983cee95983bec1673a39
Source1:	apache.conf
Source2:	lighttpd.conf
URL:		http://hammerjs.github.io/
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRequires:	sed >= 4.0
Requires:	webserver(access)
Requires:	webserver(alias)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
Add touch gestures to your page.

%prep
%setup -qn hammer.js-%{version}

%{__sed} -i -e '/# sourceMappingURL=/d' %{pkgname}.min.js

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdir}
cp -a %{pkgname}.js $RPM_BUILD_ROOT%{_appdir}/%{pkgname}.src.js
cp -a %{pkgname}.min.js $RPM_BUILD_ROOT%{_appdir}/%{pkgname}.min.js
ln -s %{pkgname}.min.js $RPM_BUILD_ROOT%{_appdir}/%{pkgname}.js

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf
cp -p $RPM_BUILD_ROOT%{_sysconfdir}/{apache,httpd}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc README.md CHANGELOG.md CONTRIBUTING.md LICENSE.md
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%{_appdir}
%changelog
* Mon Oct 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/js-hammer.git;a=log;h=master

* Mon Oct 05 2015 Elan Ruusamäe <glen@delfi.ee> e99b9ec
- drop sourceMappingURL, the .map is not packaged

* Mon Oct 05 2015 Elan Ruusamäe <glen@delfi.ee> 6f4261a
- new, version 2.0.4

